NX Open C++ Reference Guide
|
This is the root object in a .sim file. More...
Public Member Functions | |
NXOpen::CAE::SimSolution * | ActiveSolution () |
Returns the active solution. | |
void | AddBc (NXOpen::CAE::SimBC *bc, NXOpen::CAE::SimSolution *solution, NXOpen::CAE::SimSolutionStep *solutionStep) |
Adds the boundary condition to the step in the solution passed. | |
NXOpen::CAE::CaeDOFSetCollection * | CaeDOFSets () |
Returns the CAE DOFSet collection belonging to this sim part Created in NX7.5.0. | |
NXOpen::CAE::CaeRegionCollection * | CaeRegions () |
Returns the CAE region collection belonging to this sim part Created in NX7.5.0. | |
NXOpen::CAE::SimSolution * | CloneSolution (NXOpen::CAE::SimSolution *oldSolution, const NXString &suggestedName) |
Clone the solution. | |
NXOpen::CAE::SimSolution * | CloneSolution (NXOpen::CAE::SimSolution *oldSolution, const char *suggestedName) |
Clone the solution. | |
NXOpen::CAE::SimConditionSeqMgr * | ConditionSeqManager () |
Returns the Condition Sequence Manager Created in NX9.0.0. | |
NXOpen::CAE::SimConstraintCollection * | Constraints () |
Returns the constraint collection belonging to this sim part Created in NX3.0.0. | |
NXOpen::CAE::CorrelManager * | CorrelManager () |
Returns the correl manager belonging to this sim part Created in NX3.0.0. | |
NXOpen::CAE::AutoBCBuilder * | CreateAutoBcBuilder (const NXString &pcBCDescName, const NXString &pcRecipeName) |
Creates a CAE::AutoBCBuilder. | |
NXOpen::CAE::AutoBCBuilder * | CreateAutoBcBuilder (const char *pcBCDescName, const char *pcRecipeName) |
Creates a CAE::AutoBCBuilder. | |
NXOpen::CAE::AutoPairsBuilder * | CreateAutoPairsBuilder (const NXString &pcBCDescName) |
Creates a CAE::AutoPairsBuilder. | |
NXOpen::CAE::AutoPairsBuilder * | CreateAutoPairsBuilder (const char *pcBCDescName) |
Creates a CAE::AutoPairsBuilder. | |
NXOpen::CAE::SimBCBuilder * | CreateBcBuilderForBc (NXOpen::CAE::SimBC *bc) |
Creates a BC builder for the BC passed. | |
NXOpen::CAE::SimBCBuilder * | CreateBcBuilderForConstraintDescriptor (const NXString &bcDescName, const NXString &bcName) |
Creates a BC builder for the constraint descriptor passed. | |
NXOpen::CAE::SimBCBuilder * | CreateBcBuilderForConstraintDescriptor (const char *bcDescName, const char *bcName) |
Creates a BC builder for the constraint descriptor passed. | |
NXOpen::CAE::SimBCBuilder * | CreateBcBuilderForConstraintDescriptor (const NXString &bcDescName, const NXString &bcName, int label) |
Creates a BC builder for the constraint descriptor passed. | |
NXOpen::CAE::SimBCBuilder * | CreateBcBuilderForConstraintDescriptor (const char *bcDescName, const char *bcName, int label) |
Creates a BC builder for the constraint descriptor passed. | |
NXOpen::CAE::SimBCBuilder * | CreateBcBuilderForLoadDescriptor (const NXString &bcDescName, const NXString &bcName) |
Creates a BC builder for the load descriptor passed. | |
NXOpen::CAE::SimBCBuilder * | CreateBcBuilderForLoadDescriptor (const char *bcDescName, const char *bcName) |
Creates a BC builder for the load descriptor passed. | |
NXOpen::CAE::SimBCBuilder * | CreateBcBuilderForLoadDescriptor (const NXString &bcDescName, const NXString &bcName, int label) |
Creates a BC builder for the load descriptor passed. | |
NXOpen::CAE::SimBCBuilder * | CreateBcBuilderForLoadDescriptor (const char *bcDescName, const char *bcName, int label) |
Creates a BC builder for the load descriptor passed. | |
NXOpen::CAE::SimBCBuilder * | CreateBcBuilderForSimulationObjectDescriptor (const NXString &bcDescName, const NXString &bcName) |
Creates a BC builder for the simulation object descriptor passed. | |
NXOpen::CAE::SimBCBuilder * | CreateBcBuilderForSimulationObjectDescriptor (const char *bcDescName, const char *bcName) |
Creates a BC builder for the simulation object descriptor passed. | |
NXOpen::CAE::SimBCBuilder * | CreateBcBuilderForSimulationObjectDescriptor (const NXString &bcDescName, const NXString &bcName, int label) |
Creates a BC builder for the simulation object descriptor passed. | |
NXOpen::CAE::SimBCBuilder * | CreateBcBuilderForSimulationObjectDescriptor (const char *bcDescName, const char *bcName, int label) |
Creates a BC builder for the simulation object descriptor passed. | |
NXOpen::CAE::CaeRegionBuilder * | CreateCaeRegionBuilder (const NXString &pcRegionDescName, NXOpen::CAE::CaeRegion *tRegion) |
Creates a CAE::CaeRegionBuilder. | |
NXOpen::CAE::CaeRegionBuilder * | CreateCaeRegionBuilder (const char *pcRegionDescName, NXOpen::CAE::CaeRegion *tRegion) |
Creates a CAE::CaeRegionBuilder. | |
NXOpen::CAE::LaminateMetaSolBuilder * | CreateLaminateMetaSolBuilder (NXOpen::CAE::LaminateMetaSol *tMetaSol) |
Creates a CAE::LaminateMetaSolBuilder. | |
NXOpen::CAE::LaminateQuickPostReportBuilder * | CreateLaminateQuickPostReportBuilder (NXOpen::CAE::LaminateQuickPostReport *tSpec) |
Creates a CAE::LaminateQuickPostReportBuilder. | |
NXOpen::CAE::SimMotionLoadsBuilder * | CreateMotionLoadsBuilder () |
Creates a CAE::SimMotionLoadsBuilder. | |
NXOpen::CAE::SimMotionLoadsListItemBuilder * | CreateMotionLoadsListItemBuilder () |
Creates a CAE::SimMotionLoadsListItemBuilder. | |
NXOpen::CAE::SimBcPlotContoursBuilder * | CreateSimBcPlotContoursBuilder () |
Creates a CAE::SimBcPlotContoursBuilder. | |
NXOpen::CAE::SimBcXyPlotBuilder * | CreateSimBcXyPlotBuilder () |
Creates a CAE::SimBcXyPlotBuilder. | |
NXOpen::CAE::SimSolution * | CreateSolution (const NXString &solverType, const NXString &analysisType, const NXString &solutionType, const NXString &name) |
Creates a solution. | |
NXOpen::CAE::SimSolution * | CreateSolution (const char *solverType, const char *analysisType, const char *solutionType, const char *name) |
Creates a solution. | |
NXOpen::CAE::SimSolution * | CreateSolution (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, const NXString &solverType, const NXString &analysisType, const NXString &solutionType, const NXString &name) |
Creates a solution from a condition sequence. | |
NXOpen::CAE::SimSolution * | CreateSolution (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, const char *solverType, const char *analysisType, const char *solutionType, const char *name) |
Creates a solution from a condition sequence. | |
NXOpen::CAE::SimSolution * | CreateSolution (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, int numSteps, const NXString &solverType, const NXString &analysisType, const NXString &solutionType, const NXString &name) |
Creates a solution from a condition sequence and number of integration steps. | |
NXOpen::CAE::SimSolution * | CreateSolution (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, int numSteps, const char *solverType, const char *analysisType, const char *solutionType, const char *name) |
Creates a solution from a condition sequence and number of integration steps. | |
NXOpen::CAE::SimSolution * | CreateSolution (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, double stepSize, NXOpen::Unit *stepUnit, const NXString &solverType, const NXString &analysisType, const NXString &solutionType, const NXString &name) |
Creates a solution from a condition sequence and integration step size. | |
NXOpen::CAE::SimSolution * | CreateSolution (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, double stepSize, NXOpen::Unit *stepUnit, const char *solverType, const char *analysisType, const char *solutionType, const char *name) |
Creates a solution from a condition sequence and integration step size. | |
NXOpen::CAE::SimSolutionStep * | CreateSolutionStep (NXOpen::CAE::SimSolution *solution, int stepType, const NXString &name) |
Creates a step and add to the solution. | |
NXOpen::CAE::SimSolutionStep * | CreateSolutionStep (NXOpen::CAE::SimSolution *solution, int stepType, const char *name) |
Creates a step and add to the solution. | |
void | DeleteSolution (NXOpen::CAE::SimSolution *solution) |
Delete the solution. | |
NXOpen::CAE::DurabilityManager * | DurabilityManager () |
Returns the durability manager belonging to this sim part Created in NX7.5.0. | |
NXOpen::CAE::FEModelOccurrence * | Femodel () |
Returns the femodeloccurrence CAE::FEModelOccurrence assoicated with the simulation object. | |
NXOpen::CAE::LaminateManager * | LaminateManager () |
Returns the laminate manager belonging to this sim part Created in NX8.0.0. | |
NXOpen::CAE::SimLbcFolderCollection * | LbcFolders () |
Returns the CAE SimLbcFolder collection belonging to this sim part Created in NX9.0.0. | |
NXOpen::CAE::SimLoadCollection * | Loads () |
Returns the load collection belonging to this sim part Created in NX3.0.0. | |
NXOpen::CAE::Optimization::DAOOptimizationManager * | OptimizationManager () |
Returns the Design and Analysis optimization manager belonging to this sim part Created in NX8.0.0. | |
NXOpen::CAE::ResponseSimulation::Manager * | ResponseSimulationManager () |
Returns the response simulation manager belonging to this sim part Created in NX3.0.0. | |
NXOpen::CAE::ResultMeasureCollection * | ResultMeasures () |
Returns the CAE ResultMeasure collection belonging to this sim part Created in NX8.0.0. | |
void | SetActiveSolution (NXOpen::CAE::SimSolution *activeSolution) |
Sets the active solution. | |
NXOpen::CAE::SimSimulationObjectCollection * | SimulationObjects () |
Returns the simulation object collection belonging to this sim part Created in NX3.0.0. | |
NXOpen::CAE::SimRecipeCollection * | SimulationRecipes () |
Returns the simulation recipe collection belonging to this sim part Created in NX3.0.0. | |
NXOpen::CAE::SimSolutionCollection * | Solutions () |
Returns the CAE Solution collection belonging to this sim part Created in NX7.5.0. | |
NXOpen::CAE::Optimization::TBSOptimizationManager * | TBSOptimizationManager () |
Returns the optimization manager belonging to this sim part Created in NX8.0.0. | |
![]() | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type) |
Deletes all attributes of a specific type. | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes all attributes of a specific type with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes the attributes encountered with the given Type with option to update or not. | |
virtual NXOpen::INXObject * | FindObject (const NXString &journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type) |
Gets all the attribute titles of a specific type. | |
bool | GetBooleanUserAttribute (const NXString &title, int index) |
Gets a boolean attribute by Title and array Index. | |
bool | GetBooleanUserAttribute (const char *title, int index) |
Gets a boolean attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
int | GetIntegerAttribute (const NXString &title) |
Gets an integer attribute by title. | |
int | GetIntegerAttribute (const char *title) |
Gets an integer attribute by title. | |
int | GetIntegerUserAttribute (const NXString &title, int index) |
Gets an integer attribute by Title and array Index. | |
int | GetIntegerUserAttribute (const char *title, int index) |
Gets an integer attribute by Title and array Index. | |
double | GetRealAttribute (const NXString &title) |
Gets a real attribute by title. | |
double | GetRealAttribute (const char *title) |
Gets a real attribute by title. | |
double | GetRealUserAttribute (const NXString &title, int index) |
Gets a real attribute by Title and array Index. | |
double | GetRealUserAttribute (const char *title, int index) |
Gets a real attribute by Title and array Index. | |
NXString | GetReferenceAttribute (const NXString &title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetReferenceAttribute (const char *title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetStringAttribute (const NXString &title) |
Gets a string attribute value by title. | |
NXString | GetStringAttribute (const char *title) |
Gets a string attribute value by title. | |
NXString | GetStringUserAttribute (const NXString &title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetStringUserAttribute (const char *title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title) |
Gets a time attribute by title. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title) |
Gets a time attribute by title. | |
NXString | GetTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXString | GetTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXString | GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
NXString | GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
bool | GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
bool | GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes () |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset) |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset, bool addStringValues) |
Gets all the attributes that have been set on the given object. | |
std::vector< NXString > | GetUserAttributesAsStrings () |
Gets all the attributes that have been set on the given object. | |
std::vector< NXOpen::NXObject * > | GetUserAttributeSourceObjects () |
Returns an array of objects from which this object presents attributes. | |
bool | HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
bool | HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
virtual bool | IsOccurrence () |
Returns whether this object is an occurrence or not. | |
virtual NXString | JournalIdentifier () |
Returns the identifier that would be recorded in a journal for this object. | |
virtual NXString | Name () |
Returns the custom name of the object. | |
virtual NXOpen::Assemblies::Component * | OwningComponent () |
Returns the owning component, if this object is an occurrence. | |
virtual NXOpen::BasePart * | OwningPart () |
Returns the owning part of this object Created in NX3.0.0. | |
virtual void | Print () |
Prints a representation of this object to the system log file. | |
virtual NXOpen::INXObject * | Prototype () |
Returns the prototype of this object if it is an occurrence. | |
void | SetAttribute (const NXString &title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const char *title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const NXString &title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const char *title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const char *title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const NXString &title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const char *title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const char *title, const char *value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const NXString &title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const char *title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const NXString &title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetAttribute (const char *title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
virtual void | SetName (const NXString &name) |
Sets the custom name of the object. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const char *title, const char *value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetTimeAttribute (const NXString &title, const NXString &value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const char *title, const char *value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option) |
Creates or modifies an attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
void | SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
![]() | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
Additional Inherited Members | |
![]() | |
enum | AttributeType { AttributeTypeInvalid, AttributeTypeNull, AttributeTypeBoolean, AttributeTypeInteger, AttributeTypeReal, AttributeTypeString, AttributeTypeTime, AttributeTypeReference, AttributeTypeAny = 100 } |
Specifies attribute type. More... | |
enum | DateAndTimeFormat { DateAndTimeFormatNumeric, DateAndTimeFormatTextual } |
Specifies the format of the date and time attribute. More... | |
This is the root object in a .sim file.
Only one instance of this class will exist in each fem part file
To obtain an instance of this class, use CAE::SimPart::Simulation
Created in NX4.0.0.
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::ActiveSolution | ( | ) |
Returns the active solution.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSimulation::AddBc | ( | NXOpen::CAE::SimBC * | bc, |
NXOpen::CAE::SimSolution * | solution, | ||
NXOpen::CAE::SimSolutionStep * | solutionStep | ||
) |
Adds the boundary condition to the step in the solution passed.
If solution is NULL then the boundary condition is added to the active solution If step is NULL then the boundary condition is added to the active step
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bc | bc object |
solution | solution |
solutionStep | solution step |
NXOpen::CAE::CaeDOFSetCollection* NXOpen::CAE::SimSimulation::CaeDOFSets | ( | ) |
Returns the CAE DOFSet collection belonging to this sim part
Created in NX7.5.0.
NXOpen::CAE::CaeRegionCollection* NXOpen::CAE::SimSimulation::CaeRegions | ( | ) |
Returns the CAE region collection belonging to this sim part
Created in NX7.5.0.
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CloneSolution | ( | NXOpen::CAE::SimSolution * | oldSolution, |
const NXString & | suggestedName | ||
) |
Clone the solution.
@return the newly created @link CAE::SimSolution CAE::SimSolution@endlink
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
oldSolution | the CAE::SimSolution to be cloned |
suggestedName | name to use instead of default name (may be NULL) NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CloneSolution | ( | NXOpen::CAE::SimSolution * | oldSolution, |
const char * | suggestedName | ||
) |
Clone the solution.
@return the newly created @link CAE::SimSolution CAE::SimSolution@endlink
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
oldSolution | the CAE::SimSolution to be cloned |
suggestedName | name to use instead of default name (may be NULL) NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::SimConditionSeqMgr* NXOpen::CAE::SimSimulation::ConditionSeqManager | ( | ) |
Returns the Condition Sequence Manager
Created in NX9.0.0.
License requirements : None
NXOpen::CAE::SimConstraintCollection* NXOpen::CAE::SimSimulation::Constraints | ( | ) |
Returns the constraint collection belonging to this sim part
Created in NX3.0.0.
NXOpen::CAE::CorrelManager* NXOpen::CAE::SimSimulation::CorrelManager | ( | ) |
Returns the correl manager belonging to this sim part
Created in NX3.0.0.
NXOpen::CAE::AutoBCBuilder* NXOpen::CAE::SimSimulation::CreateAutoBcBuilder | ( | const NXString & | pcBCDescName, |
const NXString & | pcRecipeName | ||
) |
Creates a CAE::AutoBCBuilder.
pcBCDescName | The neutral name of the LBCDescriptor. NOTE: The full Unicode character set is not supported for this parameter. |
pcRecipeName | The name of the AutoBCRecipe NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::AutoBCBuilder* NXOpen::CAE::SimSimulation::CreateAutoBcBuilder | ( | const char * | pcBCDescName, |
const char * | pcRecipeName | ||
) |
Creates a CAE::AutoBCBuilder.
pcBCDescName | The neutral name of the LBCDescriptor. NOTE: The full Unicode character set is not supported for this parameter. |
pcRecipeName | The name of the AutoBCRecipe NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::AutoPairsBuilder* NXOpen::CAE::SimSimulation::CreateAutoPairsBuilder | ( | const NXString & | pcBCDescName | ) |
Creates a CAE::AutoPairsBuilder.
pcBCDescName | The neutral name of the AutoPairsDescriptor. NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::AutoPairsBuilder* NXOpen::CAE::SimSimulation::CreateAutoPairsBuilder | ( | const char * | pcBCDescName | ) |
Creates a CAE::AutoPairsBuilder.
pcBCDescName | The neutral name of the AutoPairsDescriptor. NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForBc | ( | NXOpen::CAE::SimBC * | bc | ) |
Creates a BC builder for the BC passed.
@return bc builder
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bc | bc object |
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForConstraintDescriptor | ( | const NXString & | bcDescName, |
const NXString & | bcName | ||
) |
Creates a BC builder for the constraint descriptor passed.
@return bc builder
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bcDescName | name of the constraint descriptor NOTE: The full Unicode character set is not supported for this parameter. |
bcName | name of the constraint to be created NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForConstraintDescriptor | ( | const char * | bcDescName, |
const char * | bcName | ||
) |
Creates a BC builder for the constraint descriptor passed.
@return bc builder
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bcDescName | name of the constraint descriptor NOTE: The full Unicode character set is not supported for this parameter. |
bcName | name of the constraint to be created NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForConstraintDescriptor | ( | const NXString & | bcDescName, |
const NXString & | bcName, | ||
int | label | ||
) |
Creates a BC builder for the constraint descriptor passed.
@return bc builder
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bcDescName | name of the constraint descriptor NOTE: The full Unicode character set is not supported for this parameter. |
bcName | name of the constraint to be created NOTE: The full Unicode character set is not supported for this parameter. |
label | constraint label |
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForConstraintDescriptor | ( | const char * | bcDescName, |
const char * | bcName, | ||
int | label | ||
) |
Creates a BC builder for the constraint descriptor passed.
@return bc builder
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bcDescName | name of the constraint descriptor NOTE: The full Unicode character set is not supported for this parameter. |
bcName | name of the constraint to be created NOTE: The full Unicode character set is not supported for this parameter. |
label | constraint label |
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForLoadDescriptor | ( | const NXString & | bcDescName, |
const NXString & | bcName | ||
) |
Creates a BC builder for the load descriptor passed.
@return bc builder
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bcDescName | name of the load descriptor NOTE: The full Unicode character set is not supported for this parameter. |
bcName | name of the load to be created NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForLoadDescriptor | ( | const char * | bcDescName, |
const char * | bcName | ||
) |
Creates a BC builder for the load descriptor passed.
@return bc builder
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bcDescName | name of the load descriptor NOTE: The full Unicode character set is not supported for this parameter. |
bcName | name of the load to be created NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForLoadDescriptor | ( | const NXString & | bcDescName, |
const NXString & | bcName, | ||
int | label | ||
) |
Creates a BC builder for the load descriptor passed.
@return bc builder
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bcDescName | name of the load descriptor NOTE: The full Unicode character set is not supported for this parameter. |
bcName | name of the load to be created NOTE: The full Unicode character set is not supported for this parameter. |
label | load label |
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForLoadDescriptor | ( | const char * | bcDescName, |
const char * | bcName, | ||
int | label | ||
) |
Creates a BC builder for the load descriptor passed.
@return bc builder
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bcDescName | name of the load descriptor NOTE: The full Unicode character set is not supported for this parameter. |
bcName | name of the load to be created NOTE: The full Unicode character set is not supported for this parameter. |
label | load label |
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForSimulationObjectDescriptor | ( | const NXString & | bcDescName, |
const NXString & | bcName | ||
) |
Creates a BC builder for the simulation object descriptor passed.
@return bc builder
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bcDescName | name of the simulation object descriptor NOTE: The full Unicode character set is not supported for this parameter. |
bcName | name of the simulation object to be created NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForSimulationObjectDescriptor | ( | const char * | bcDescName, |
const char * | bcName | ||
) |
Creates a BC builder for the simulation object descriptor passed.
@return bc builder
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bcDescName | name of the simulation object descriptor NOTE: The full Unicode character set is not supported for this parameter. |
bcName | name of the simulation object to be created NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForSimulationObjectDescriptor | ( | const NXString & | bcDescName, |
const NXString & | bcName, | ||
int | label | ||
) |
Creates a BC builder for the simulation object descriptor passed.
@return bc builder
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bcDescName | name of the simulation object descriptor NOTE: The full Unicode character set is not supported for this parameter. |
bcName | name of the simulation object to be created NOTE: The full Unicode character set is not supported for this parameter. |
label | simulation object label |
NXOpen::CAE::SimBCBuilder* NXOpen::CAE::SimSimulation::CreateBcBuilderForSimulationObjectDescriptor | ( | const char * | bcDescName, |
const char * | bcName, | ||
int | label | ||
) |
Creates a BC builder for the simulation object descriptor passed.
@return bc builder
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bcDescName | name of the simulation object descriptor NOTE: The full Unicode character set is not supported for this parameter. |
bcName | name of the simulation object to be created NOTE: The full Unicode character set is not supported for this parameter. |
label | simulation object label |
NXOpen::CAE::CaeRegionBuilder* NXOpen::CAE::SimSimulation::CreateCaeRegionBuilder | ( | const NXString & | pcRegionDescName, |
NXOpen::CAE::CaeRegion * | tRegion | ||
) |
Creates a CAE::CaeRegionBuilder.
pcRegionDescName | The neutral name of the region descriptor. NOTE: The full Unicode character set is not supported for this parameter. |
tRegion | The region if we are editing it, or NULL if we are creating a new one |
NXOpen::CAE::CaeRegionBuilder* NXOpen::CAE::SimSimulation::CreateCaeRegionBuilder | ( | const char * | pcRegionDescName, |
NXOpen::CAE::CaeRegion * | tRegion | ||
) |
Creates a CAE::CaeRegionBuilder.
pcRegionDescName | The neutral name of the region descriptor. NOTE: The full Unicode character set is not supported for this parameter. |
tRegion | The region if we are editing it, or NULL if we are creating a new one |
NXOpen::CAE::LaminateMetaSolBuilder* NXOpen::CAE::SimSimulation::CreateLaminateMetaSolBuilder | ( | NXOpen::CAE::LaminateMetaSol * | tMetaSol | ) |
Creates a CAE::LaminateMetaSolBuilder.
Created in NX6.0.0.
License requirements : nx_lam_composites ("Laminate Composites")
tMetaSol | The meta solution |
NXOpen::CAE::LaminateQuickPostReportBuilder* NXOpen::CAE::SimSimulation::CreateLaminateQuickPostReportBuilder | ( | NXOpen::CAE::LaminateQuickPostReport * | tSpec | ) |
Creates a CAE::LaminateQuickPostReportBuilder.
Created in NX7.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
tSpec | the quick post summary report |
NXOpen::CAE::SimMotionLoadsBuilder* NXOpen::CAE::SimSimulation::CreateMotionLoadsBuilder | ( | ) |
Creates a CAE::SimMotionLoadsBuilder.
NXOpen::CAE::SimMotionLoadsListItemBuilder* NXOpen::CAE::SimSimulation::CreateMotionLoadsListItemBuilder | ( | ) |
Creates a CAE::SimMotionLoadsListItemBuilder.
NXOpen::CAE::SimBcPlotContoursBuilder* NXOpen::CAE::SimSimulation::CreateSimBcPlotContoursBuilder | ( | ) |
Creates a CAE::SimBcPlotContoursBuilder.
NXOpen::CAE::SimBcXyPlotBuilder* NXOpen::CAE::SimSimulation::CreateSimBcXyPlotBuilder | ( | ) |
Creates a CAE::SimBcXyPlotBuilder.
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution | ( | const NXString & | solverType, |
const NXString & | analysisType, | ||
const NXString & | solutionType, | ||
const NXString & | name | ||
) |
Creates a solution.
@return the created @link CAE::SimSolution CAE::SimSolution@endlink
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
solverType | name of the solver NOTE: The full Unicode character set is not supported for this parameter. |
analysisType | name of the analysis type NOTE: The full Unicode character set is not supported for this parameter. |
solutionType | name of the solution type NOTE: The full Unicode character set is not supported for this parameter. |
name | name of the solution to be created |
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution | ( | const char * | solverType, |
const char * | analysisType, | ||
const char * | solutionType, | ||
const char * | name | ||
) |
Creates a solution.
@return the created @link CAE::SimSolution CAE::SimSolution@endlink
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
solverType | name of the solver NOTE: The full Unicode character set is not supported for this parameter. |
analysisType | name of the analysis type NOTE: The full Unicode character set is not supported for this parameter. |
solutionType | name of the solution type NOTE: The full Unicode character set is not supported for this parameter. |
name | name of the solution to be created |
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution | ( | NXOpen::CAE::SimConditionSequence * | conditionSeqeunce, |
const NXString & | solverType, | ||
const NXString & | analysisType, | ||
const NXString & | solutionType, | ||
const NXString & | name | ||
) |
Creates a solution from a condition sequence.
@return the created @link CAE::SimSolution CAE::SimSolution@endlink
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
conditionSeqeunce | create solution from CAE::SimConditionSequence |
solverType | name of the solver NOTE: The full Unicode character set is not supported for this parameter. |
analysisType | name of the analysis type NOTE: The full Unicode character set is not supported for this parameter. |
solutionType | name of the solution type NOTE: The full Unicode character set is not supported for this parameter. |
name | name of the solution to be created |
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution | ( | NXOpen::CAE::SimConditionSequence * | conditionSeqeunce, |
const char * | solverType, | ||
const char * | analysisType, | ||
const char * | solutionType, | ||
const char * | name | ||
) |
Creates a solution from a condition sequence.
@return the created @link CAE::SimSolution CAE::SimSolution@endlink
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
conditionSeqeunce | create solution from CAE::SimConditionSequence |
solverType | name of the solver NOTE: The full Unicode character set is not supported for this parameter. |
analysisType | name of the analysis type NOTE: The full Unicode character set is not supported for this parameter. |
solutionType | name of the solution type NOTE: The full Unicode character set is not supported for this parameter. |
name | name of the solution to be created |
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution | ( | NXOpen::CAE::SimConditionSequence * | conditionSeqeunce, |
int | numSteps, | ||
const NXString & | solverType, | ||
const NXString & | analysisType, | ||
const NXString & | solutionType, | ||
const NXString & | name | ||
) |
Creates a solution from a condition sequence and number of integration steps.
@return the created @link CAE::SimSolution CAE::SimSolution@endlink
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
conditionSeqeunce | create solution from CAE::SimConditionSequence |
numSteps | number of integration steps |
solverType | name of the solver NOTE: The full Unicode character set is not supported for this parameter. |
analysisType | name of the analysis type NOTE: The full Unicode character set is not supported for this parameter. |
solutionType | name of the solution type NOTE: The full Unicode character set is not supported for this parameter. |
name | name of the solution to be created |
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution | ( | NXOpen::CAE::SimConditionSequence * | conditionSeqeunce, |
int | numSteps, | ||
const char * | solverType, | ||
const char * | analysisType, | ||
const char * | solutionType, | ||
const char * | name | ||
) |
Creates a solution from a condition sequence and number of integration steps.
@return the created @link CAE::SimSolution CAE::SimSolution@endlink
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
conditionSeqeunce | create solution from CAE::SimConditionSequence |
numSteps | number of integration steps |
solverType | name of the solver NOTE: The full Unicode character set is not supported for this parameter. |
analysisType | name of the analysis type NOTE: The full Unicode character set is not supported for this parameter. |
solutionType | name of the solution type NOTE: The full Unicode character set is not supported for this parameter. |
name | name of the solution to be created |
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution | ( | NXOpen::CAE::SimConditionSequence * | conditionSeqeunce, |
double | stepSize, | ||
NXOpen::Unit * | stepUnit, | ||
const NXString & | solverType, | ||
const NXString & | analysisType, | ||
const NXString & | solutionType, | ||
const NXString & | name | ||
) |
Creates a solution from a condition sequence and integration step size.
@return the created @link CAE::SimSolution CAE::SimSolution@endlink
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
conditionSeqeunce | create solution from CAE::SimConditionSequence |
stepSize | size of integration steps |
stepUnit | step size Unit |
solverType | name of the solver NOTE: The full Unicode character set is not supported for this parameter. |
analysisType | name of the analysis type NOTE: The full Unicode character set is not supported for this parameter. |
solutionType | name of the solution type NOTE: The full Unicode character set is not supported for this parameter. |
name | name of the solution to be created |
NXOpen::CAE::SimSolution* NXOpen::CAE::SimSimulation::CreateSolution | ( | NXOpen::CAE::SimConditionSequence * | conditionSeqeunce, |
double | stepSize, | ||
NXOpen::Unit * | stepUnit, | ||
const char * | solverType, | ||
const char * | analysisType, | ||
const char * | solutionType, | ||
const char * | name | ||
) |
Creates a solution from a condition sequence and integration step size.
@return the created @link CAE::SimSolution CAE::SimSolution@endlink
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
conditionSeqeunce | create solution from CAE::SimConditionSequence |
stepSize | size of integration steps |
stepUnit | step size Unit |
solverType | name of the solver NOTE: The full Unicode character set is not supported for this parameter. |
analysisType | name of the analysis type NOTE: The full Unicode character set is not supported for this parameter. |
solutionType | name of the solution type NOTE: The full Unicode character set is not supported for this parameter. |
name | name of the solution to be created |
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSimulation::CreateSolutionStep | ( | NXOpen::CAE::SimSolution * | solution, |
int | stepType, | ||
const NXString & | name | ||
) |
Creates a step and add to the solution.
@return step @link CAE::SimSolutionStep CAE::SimSolutionStep@endlink to be added
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
solution | the solution to which the step will be added, if a NULL is passed the current active solution will be used |
stepType | index of the step type |
name | name of the step |
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSimulation::CreateSolutionStep | ( | NXOpen::CAE::SimSolution * | solution, |
int | stepType, | ||
const char * | name | ||
) |
Creates a step and add to the solution.
@return step @link CAE::SimSolutionStep CAE::SimSolutionStep@endlink to be added
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
solution | the solution to which the step will be added, if a NULL is passed the current active solution will be used |
stepType | index of the step type |
name | name of the step |
void NXOpen::CAE::SimSimulation::DeleteSolution | ( | NXOpen::CAE::SimSolution * | solution | ) |
Delete the solution.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
solution | the CAE::SimSolution to be deleted |
NXOpen::CAE::DurabilityManager* NXOpen::CAE::SimSimulation::DurabilityManager | ( | ) |
Returns the durability manager belonging to this sim part
Created in NX7.5.0.
NXOpen::CAE::FEModelOccurrence* NXOpen::CAE::SimSimulation::Femodel | ( | ) |
Returns the femodeloccurrence CAE::FEModelOccurrence assoicated with the simulation object.
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::CAE::LaminateManager* NXOpen::CAE::SimSimulation::LaminateManager | ( | ) |
Returns the laminate manager belonging to this sim part
Created in NX8.0.0.
NXOpen::CAE::SimLbcFolderCollection* NXOpen::CAE::SimSimulation::LbcFolders | ( | ) |
Returns the CAE SimLbcFolder collection belonging to this sim part
Created in NX9.0.0.
NXOpen::CAE::SimLoadCollection* NXOpen::CAE::SimSimulation::Loads | ( | ) |
Returns the load collection belonging to this sim part
Created in NX3.0.0.
NXOpen::CAE::Optimization::DAOOptimizationManager* NXOpen::CAE::SimSimulation::OptimizationManager | ( | ) |
Returns the Design and Analysis optimization manager belonging to this sim part
Created in NX8.0.0.
NXOpen::CAE::ResponseSimulation::Manager* NXOpen::CAE::SimSimulation::ResponseSimulationManager | ( | ) |
Returns the response simulation manager belonging to this sim part
Created in NX3.0.0.
NXOpen::CAE::ResultMeasureCollection* NXOpen::CAE::SimSimulation::ResultMeasures | ( | ) |
Returns the CAE ResultMeasure collection belonging to this sim part
Created in NX8.0.0.
void NXOpen::CAE::SimSimulation::SetActiveSolution | ( | NXOpen::CAE::SimSolution * | activeSolution | ) |
Sets the active solution.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
activeSolution | the active solution CAE::SimSolution |
NXOpen::CAE::SimSimulationObjectCollection* NXOpen::CAE::SimSimulation::SimulationObjects | ( | ) |
Returns the simulation object collection belonging to this sim part
Created in NX3.0.0.
NXOpen::CAE::SimRecipeCollection* NXOpen::CAE::SimSimulation::SimulationRecipes | ( | ) |
Returns the simulation recipe collection belonging to this sim part
Created in NX3.0.0.
NXOpen::CAE::SimSolutionCollection* NXOpen::CAE::SimSimulation::Solutions | ( | ) |
Returns the CAE Solution collection belonging to this sim part
Created in NX7.5.0.
NXOpen::CAE::Optimization::TBSOptimizationManager* NXOpen::CAE::SimSimulation::TBSOptimizationManager | ( | ) |
Returns the optimization manager belonging to this sim part
Created in NX8.0.0.